Summary:       An eCAP API in C++
Name:          libecap
Version:       0.2.0
Release:       2%{?dist}%{?pext}
License:       BSD
Group:         System Environment/Libraries
Source0:       http://www.measurement-factory.com/tmp/ecap/%{name}-%{version}.tar.gz
URL:           http://www.e-cap.org/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        The Measurement Factory <users@e-cap.org>

%description
Libecap provides a software interface that allows a network application,
such as an HTTP proxy or ICAP server, to outsource content analysis and
adaptation to an external loadable module.


%package       devel
Summary:       Development tools for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description   devel
The %{name}-devel package contains the libraries and header files for
developing software using %{name}.


%package       static
Summary:       Static libraries for %{name}
Group:         Development/Libraries
Requires:      %{name}-devel = %{version}-%{release}

%description   static
The %{name}-static package contains the statically linkable libraries for
%{name}.


%prep
%setup -q


%build
%configure \
	--enable-static \
	--enable-shared

%{__make} %{?_smp_mflags}


%check
%{__make} check


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/%{name}.so.?


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CREDITS LICENSE NOTICE README
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/%{name}.la
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files static
%defattr(-,root,root)
%{_libdir}/%{name}.a


%changelog
* Tue May 14 2013 Peter Pramberger <peterpramb@member.fsf.org> - 0.2.0-2
- Splitted static libraries from devel package

* Fri Aug 05 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.2.0-1
- Initial build
